Bug 213927 - rpm: rpmte.c:589: rpmteColorDS: Assertion `ix < Count' failed
rpm: rpmte.c:589: rpmteColorDS: Assertion `ix < Count' failed
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Depends On:
  Show dependency treegraph
Reported: 2006-11-03 14:49 EST by Jason Pepas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-07 17:42:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Pepas 2006-11-03 14:49:36 EST
Description of problem:

Occaisionally, when installing rpm's I have made with rpmbuild, I get the
following error:

rpm: rpmte.c:589: rpmteColorDS: Assertion `ix < Count' failed

I don't know if this is a problem with rpm or rpmbuild.  There is a similar bug
report, but their conclusion seemed to be that it was somethign specific to the
package being installed.

Version-Release number of selected component (if applicable):

$ rpm -qa | grep rpm
Comment 1 Jason Pepas 2006-11-03 14:51:09 EST
The other bug report I mentioned is #190972
Comment 2 Jeff Johnson 2006-11-03 23:32:04 EST
Packages built with
    AutoReqProv: no
should *not* be built with the internal dependency generator.

Assertion failures result.
Comment 3 Jason Pepas 2006-11-06 14:47:16 EST
Are you saying that rpmbuild is not to be used to build rpms with autoreqprov =
no?  What then, should I use to build these rpms?
Comment 4 Jeff Johnson 2006-11-06 15:35:51 EST
No I'm not saying that rpmbuild cannot be used.

I'm saying that you cannot use the internal dependency generator with AutoReqProv:,
you must also change to use the older find-{provides,requires} at the same time. This
means that one cannot prepare multilib ready packages reliably using AutoReqProv:.
Comment 5 Jason Pepas 2006-11-07 09:51:25 EST
clearly I have not read enough documentation to understand how to properly use
rpmbuild.  is there some sort of documentation in addition to the man pages
(developer docs of some sort?) which explains how to disable the internal
dependency generator?
Comment 6 Jeff Johnson 2006-11-07 17:39:31 EST
Add this line at the beginning of a spec file to disable
    %define _use_internal_dependency_generator     0

I'd suggest not using AutoReqProv: instead of adding the config line.

Any package using AutoReqProv: which contains ELF binaries will not
contain the information necessary to install correctly on multilib systems.

Filtering out one or two unwanted dependencies that are being extracted
can be done by removing the execute bit on the file that is generating the
undesired dependency.
Comment 7 Jason Pepas 2006-11-07 17:42:15 EST
thanks.  I was accidentally using "AutoReq: no" instead of "AutoReqProv: no". 
all is well now.

Note You need to log in before you can comment on or make changes to this bug.